com.independentsoft.exchange

## Enum EventCause

- java.lang.Object
- - java.lang.Enum<EventCause>
  - - com.independentsoft.exchange.EventCause

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventCause>

      public enum EventCause
      extends java.lang.Enum<EventCause>

  Contains a value that indicates the cause for a call event in a response to a GetCallInfo Operation request.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO_ANSWER` NoAnswer.
    `NONE` None.
    `OTHER` Other.
    `USER_BUSY` UserBusy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventCause` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventCause[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final EventCause NONE

      None.

    - #### USER_BUSY

          public static final EventCause USER_BUSY

      UserBusy.

    - #### NO_ANSWER

          public static final EventCause NO_ANSWER

      NoAnswer.

    - #### OTHER

          public static final EventCause OTHER

      Other.

  - ### Method Detail

    - #### values

          public static EventCause[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventCause c : EventCause.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventCause valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null